bug-bash
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: 2.05a won't compile on HP-UX 10.20 or HP-UX 11.00


From: Chet Ramey
Subject: Re: 2.05a won't compile on HP-UX 10.20 or HP-UX 11.00
Date: Mon, 3 Dec 2001 08:56:39 -0500

> I was trying to verify the existence of a previously reported bug in the 
> latest
> bash on gnu.org. I got 2.05a, ran configure with no options and then make.
> Here's the extract from the build process:
> 
> ./mkbuiltins -D . printf.def
> gcc -c  -DHAVE_CONFIG_H -DSHELL   -I. -I..  -I.. -I../include -I../lib -I. 
> -DHPUX  -g -O2 printf.c || ( rm -f printf.c ; exit 1 )
> ./printf.def: In function `getldouble':
> ./printf.def:1013: incompatible types in assignment
> make[1]: *** [printf.o] Error 1
> make[1]: Leaving directory `/home/ahuxley/bash-2.05a/builtins'
> make: *** [builtins/libbuiltins.a] Error 1
> te13$ 
> 
> Let me know if I can be of any assistance. btw, excellent shell, thanks! 
> Regards ...

Try #undefing HAVE_LONG_DOUBLE in config.h and rebuilding.  See if that
gets you any farther.

-- 
``The lyf so short, the craft so long to lerne.'' - Chaucer
( ``Discere est Dolere'' -- chet)

Chet Ramey, CWRU    address@hidden    http://cnswww.cns.cwru.edu/~chet/



reply via email to

[Prev in Thread] Current Thread [Next in Thread]